;USB Descriptors

 include "settings.inc"
 include "ti83plus.inc"
 include "equates.inc" 
 SEGMENT Main
 GLOBALS ON

;NOTE: You need to be careful modifying these descriptors, their lengths are hard-coded elsewhere!
HubDeviceDescriptor:
	DB 12h		;size of descriptor
	DB 01h		;device descriptor type
	DW 0200h	;USB version
	DB 09h ;08h		;bDeviceClass
	DB 00h ;06h		;bDeviceSubClass
	DB 01h ;50h		;bDeviceProtocol
	DB 40h		;bMaxPacketSize0
       DW 0AAAAh ;0451h	;wVendorID
	DW 0CCCCh ;2008h	;wProductID
 	DW 0100h ;0100h	;device release number
	DB 00h		;manufacturer string index
	DB 00h		;product string index
	DB 00h		;serial number string index
	DB 01h		;bNumConfigurations
HubConfigDescriptor:
       DB 09h, 02h, 19h, 00h
       DB 01h, 01h, 00h, 0E0h, 32h ;0FAh
;Interface descriptor
       DB 09h, 04h, 00h, 00h, 01h
       DB 09h, 00h, 00h, 00h
;Endpoint descriptor
       DB 07h
       DB 05h
       DB 81h
       DB 03h
       DW 0001h
       DB 0Ch

Device1DeviceDescriptor:
	DB 12h		;size of descriptor
	DB 01h		;device descriptor type
	DW 0200h	;USB version
	DB 00h		;bDeviceClass
	DB 00h		;bDeviceSubClass
	DB 00h		;bDeviceProtocol
	DB 20h ;40h		;bMaxPacketSize0
       DW 0AAAAh	;wVendorID
	DW 5555h	;wProductID
 	DW 0000h ;0100h	;device release number
	DB 00h		;manufacturer string index
	DB 00h		;product string index
	DB 00h		;serial number string index
	DB 04h		;bNumConfigurations
Device1ShortConfigDescriptor:
       DB 09h, 02h
       DW 0F00h
       DB 01h, 00h, 00h, 80h
Device1ConfigDescriptor:
	DB 09h, 02h, 12h, 00h, 01h, 00h, 00h, 80h, 0Fah, 09h, 04h, 00h, 00h, 00h, 0Feh, 01h
	DB 02h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 0Fah, 0Ceh, 0B0h, 03h, 0Aah, 0Bbh, 0Cch, 0Ddh
	DB 38h, 63h, 0F0h, 00h, 38h, 0A0h, 10h, 00h, 38h, 80h, 00h, 01h, 78h, 84h, 0F8h, 06h
	DB 64h, 84h, 00h, 70h, 38h, 0A5h, 0Ffh, 0F8h, 7ch, 0C3h, 28h, 2ah, 7ch, 0C4h, 29h, 2ah
	DB 28h, 25h, 00h, 00h, 40h, 82h, 0Ffh, 0F0h, 38h, 84h, 00h, 80h, 7ch, 89h, 03h, 0A6h
	DB 4eh, 80h, 04h, 20h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
	DB 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
	DB 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
	DB 7ch, 08h, 02h, 0A6h, 0F8h, 21h, 0Ffh, 61h, 0Fbh, 61h, 00h, 78h, 0Fbh, 81h, 00h, 80h
	DB 0Fbh, 0A1h, 00h, 88h, 0Fbh, 0C1h, 00h, 90h, 0Fbh, 0E1h, 00h, 98h, 0F8h, 01h, 00h, 0B0h
	DB 3bh, 0E0h, 00h, 01h, 7bh, 0Ffh, 0F8h, 06h, 7fh, 0E3h, 0Fbh, 78h, 64h, 63h, 00h, 05h
	DB 60h, 63h, 0bh, 3ch, 7fh, 0E4h, 0Fbh, 78h, 64h, 84h, 00h, 70h, 60h, 84h, 01h, 0Ach
	DB 38h, 0A0h, 04h, 0Fah, 4bh, 97h, 0Bfh, 59h, 7fh, 0E3h, 0Fbh, 78h, 64h, 63h, 00h, 05h
	DB 60h, 63h, 0bh, 3ch, 38h, 63h, 00h, 20h, 4bh, 9dh, 22h, 01h, 7fh, 0E3h, 0Fbh, 78h
	DB 64h, 63h, 00h, 05h, 60h, 63h, 0bh, 3ch, 7fh, 0E4h, 0Fbh, 78h, 64h, 84h, 00h, 2eh
	DB 60h, 84h, 0B1h, 28h, 38h, 63h, 00h, 10h, 0F8h, 64h, 01h, 20h, 7fh, 0E5h, 0Fbh, 78h
	DB 64h, 0A5h, 00h, 70h, 60h, 0A5h, 01h, 50h, 80h, 65h, 00h, 00h, 28h, 03h, 00h, 00h
	DB 41h, 82h, 00h, 18h, 80h, 85h, 00h, 04h, 7ch, 63h, 0Fah, 14h, 90h, 83h, 00h, 00h
	DB 38h, 0A5h, 00h, 08h, 4bh, 0Ffh, 0Ffh, 0E4h, 48h, 00h, 05h, 88h, 0F8h, 21h, 0Ffh, 51h
	DB 7ch, 08h, 02h, 0A6h, 0Fbh, 0C1h, 00h, 0A0h, 0Fbh, 0E1h, 00h, 0A8h, 0Fbh, 0A1h, 00h, 98h
	DB 0F8h, 01h, 00h, 0C0h, 3bh, 0C0h, 07h, 0D0h, 3bh, 0E0h, 00h, 0C8h, 4bh, 90h, 0A9h, 0B8h
	DB 00h, 04h, 90h, 0E0h, 0E8h, 82h, 0fh, 08h, 00h, 04h, 90h, 0E4h, 0E8h, 7ch, 00h, 20h
	DB 00h, 04h, 90h, 0E8h, 0F8h, 64h, 00h, 00h, 00h, 04h, 0F0h, 0A8h, 48h, 00h, 1ah, 9dh
	DB 00h, 2ah, 0Afh, 0C8h, 4bh, 0Dah, 5bh, 80h, 00h, 04h, 0Edh, 18h, 38h, 80h, 00h, 00h
	DB 00h, 04h, 0Edh, 1ch, 90h, 83h, 00h, 00h, 00h, 04h, 0Edh, 20h, 4eh, 80h, 00h, 20h
	DB 00h, 3bh, 0A8h, 90h, 01h, 00h, 00h, 00h, 00h, 05h, 05h, 0D0h, 38h, 60h, 00h, 01h
	DB 00h, 05h, 05h, 0D4h, 4eh, 80h, 00h, 20h, 00h, 00h, 00h, 00h, 38h, 60h, 00h, 01h
	DB 4eh, 80h, 00h, 20h, 48h, 00h, 02h, 78h, 48h, 00h, 01h, 0Ech, 80h, 00h, 00h, 00h
	DB 00h, 05h, 0ch, 0A8h, 80h, 00h, 00h, 00h, 00h, 33h, 0E7h, 20h, 80h, 00h, 00h, 00h
	DB 00h, 05h, 10h, 32h, 80h, 00h, 00h, 00h, 00h, 05h, 0bh, 7ch, 80h, 00h, 00h, 00h
	DB 00h, 05h, 0bh, 8ch, 80h, 00h, 00h, 00h, 00h, 05h, 0bh, 9ch, 80h, 00h, 00h, 00h
	DB 00h, 05h, 0bh, 0D4h, 80h, 00h, 00h, 00h, 00h, 33h, 0E7h, 20h, 80h, 00h, 00h, 00h
	DB 00h, 05h, 0ch, 1ch, 80h, 00h, 00h, 00h, 00h, 33h, 0E7h, 20h, 80h, 00h, 00h, 00h
	DB 00h, 05h, 0ch, 78h, 80h, 00h, 00h, 00h, 00h, 33h, 0E7h, 20h, 80h, 00h, 00h, 00h
	DB 00h, 05h, 0ch, 84h, 80h, 00h, 00h, 00h, 00h, 33h, 0E7h, 20h, 00h, 00h, 00h, 00h
	DB 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
	DB 00h, 00h, 00h, 00h, 0F8h, 21h, 0Ffh, 81h, 7ch, 08h, 02h, 0A6h, 0F8h, 01h, 00h, 90h
	DB 38h, 80h, 00h, 00h, 38h, 0A0h, 00h, 01h, 48h, 08h, 1dh, 0B1h, 80h, 0A3h, 00h, 08h
	DB 38h, 60h, 00h, 00h, 3ch, 80h, 0Aah, 0Aah, 60h, 84h, 0C0h, 0Deh, 7ch, 04h, 28h, 40h
	DB 41h, 82h, 00h, 08h, 38h, 60h, 0Ffh, 0Ffh, 7ch, 63h, 07h, 0B4h, 0E8h, 01h, 00h, 90h
	DB 7ch, 08h, 03h, 0A6h, 38h, 21h, 00h, 80h, 4eh, 80h, 00h, 20h, 0F8h, 21h, 0Ffh, 81h
	DB 7ch, 08h, 02h, 0A6h, 0F8h, 01h, 00h, 90h, 38h, 80h, 00h, 00h, 48h, 08h, 1dh, 99h
	DB 38h, 81h, 00h, 70h, 38h, 0A0h, 00h, 00h, 0F8h, 0A4h, 00h, 00h, 38h, 0C0h, 21h, 0Aah
	DB 0B0h, 0C4h, 00h, 00h, 38h, 0C0h, 00h, 00h, 0B0h, 0C4h, 00h, 06h, 38h, 0C0h, 00h, 01h
	DB 78h, 0C6h, 0F8h, 06h, 64h, 0C6h, 00h, 05h, 60h, 0C6h, 0bh, 0Ach, 38h, 0E0h, 00h, 00h
	DB 48h, 08h, 1ch, 0Cdh, 38h, 60h, 00h, 00h, 0E8h, 01h, 00h, 90h, 7ch, 08h, 03h, 0A6h
	DB 38h, 21h, 00h, 80h, 4eh, 80h, 00h, 20h, 4eh, 80h, 00h, 20h, 39h, 60h, 00h, 0Ffh
	DB 44h, 00h, 00h, 22h, 2ch, 03h, 00h, 00h, 40h, 82h, 00h, 1ch, 38h, 60h, 00h, 01h
	DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 05h, 60h, 63h, 0bh, 0Bch, 38h, 80h, 00h, 01h
	DB 90h, 83h, 00h, 10h, 4eh, 80h, 00h, 20h, 0F8h, 21h, 0Ffh, 31h, 7ch, 08h, 02h, 0A6h
	DB 0F8h, 01h, 00h, 0E0h, 0Fbh, 0E1h, 00h, 0C8h, 38h, 81h, 00h, 70h, 48h, 16h, 2eh, 81h
	DB 3bh, 0E0h, 00h, 01h, 7bh, 0Ffh, 0F8h, 06h, 67h, 0Ffh, 00h, 05h, 63h, 0Ffh, 0bh, 0Bch
	DB 0E8h, 7fh, 00h, 00h, 2ch, 23h, 00h, 00h, 41h, 82h, 00h, 0ch, 38h, 80h, 00h, 27h
	DB 48h, 01h, 17h, 0E9h, 38h, 80h, 00h, 27h, 38h, 60h, 08h, 00h, 48h, 01h, 13h, 9dh
	DB 0F8h, 7fh, 00h, 00h, 0E8h, 81h, 00h, 70h, 4bh, 0Ffh, 0C5h, 0F9h, 0E8h, 61h, 00h, 70h
	DB 38h, 80h, 00h, 27h, 48h, 01h, 17h, 0C5h, 0E8h, 7fh, 00h, 00h, 4bh, 0Ffh, 0C6h, 0dh
	DB 0E8h, 9fh, 00h, 00h, 7ch, 64h, 1ah, 14h, 0F8h, 7fh, 00h, 08h, 38h, 60h, 00h, 00h
	DB 0Ebh, 0E1h, 00h, 0C8h, 0E8h, 01h, 00h, 0E0h, 38h, 21h, 00h, 0D0h, 7ch, 08h, 03h, 0A6h
	DB 4eh, 80h, 00h, 20h, 0F8h, 21h, 0Ffh, 61h, 7ch, 08h, 02h, 0A6h, 0Fbh, 81h, 00h, 80h
	DB 0Fbh, 0A1h, 00h, 88h, 0Fbh, 0E1h, 00h, 98h, 0Fbh, 41h, 00h, 70h, 0Fbh, 61h, 00h, 78h
	DB 0F8h, 01h, 00h, 0B0h, 7ch, 9ch, 23h, 78h, 7ch, 7dh, 1bh, 78h, 3bh, 0E0h, 00h, 01h
	DB 7bh, 0Ffh, 0F8h, 06h, 7fh, 0A3h, 0Ebh, 78h, 7fh, 0E4h, 0Fbh, 78h, 64h, 84h, 00h, 05h
	DB 60h, 84h, 10h, 28h, 38h, 0A0h, 00h, 09h, 4bh, 0Ffh, 0C5h, 0Cdh, 28h, 23h, 00h, 00h
	DB 40h, 82h, 00h, 34h, 67h, 0Ffh, 00h, 05h, 63h, 0Ffh, 0bh, 0Bch, 80h, 7fh, 00h, 10h
	DB 28h, 03h, 00h, 00h, 41h, 82h, 00h, 20h, 0E8h, 7fh, 00h, 00h, 28h, 23h, 00h, 00h
	DB 41h, 82h, 00h, 14h, 0E8h, 7fh, 00h, 08h, 38h, 9dh, 00h, 09h, 4bh, 0Ffh, 0C5h, 45h
	DB 0Ebh, 0Bfh, 00h, 00h, 7fh, 0A3h, 0Ebh, 78h, 48h, 25h, 0A2h, 38h, 7ch, 08h, 02h, 0A6h
	DB 0F8h, 21h, 0Feh, 61h, 0Fbh, 61h, 00h, 78h, 0Fbh, 81h, 00h, 80h, 0Fbh, 0A1h, 00h, 88h
	DB 0Fbh, 0C1h, 00h, 90h, 0Fbh, 0E1h, 00h, 98h, 0F8h, 01h, 01h, 0B0h, 7ch, 7dh, 1bh, 78h
	DB 7ch, 9eh, 23h, 78h, 3bh, 0E0h, 00h, 01h, 7bh, 0Ffh, 0F8h, 06h, 0Ebh, 82h, 96h, 00h
	DB 0Ebh, 9ch, 00h, 68h, 0Ebh, 9ch, 00h, 18h, 0Ebh, 62h, 0fh, 08h, 0E9h, 3dh, 00h, 18h
	DB 81h, 29h, 00h, 30h, 79h, 29h, 84h, 02h, 2ch, 09h, 00h, 29h, 40h, 82h, 00h, 58h
	DB 0E8h, 9ch, 00h, 10h, 78h, 85h, 0C1h, 0E4h, 78h, 0A5h, 46h, 20h, 2ch, 05h, 00h, 0Ffh
	DB 41h, 82h, 00h, 18h, 60h, 84h, 00h, 03h, 0F8h, 9ch, 00h, 10h, 38h, 60h, 00h, 06h
	DB 90h, 7eh, 00h, 00h, 48h, 00h, 00h, 14h, 60h, 84h, 00h, 02h, 0F8h, 9ch, 00h, 10h
	DB 38h, 60h, 00h, 2ch, 90h, 7eh, 00h, 00h, 80h, 0Bch, 00h, 04h, 0E8h, 9ch, 00h, 08h
	DB 0E8h, 7bh, 00h, 00h, 7dh, 23h, 2ah, 14h, 0F9h, 3bh, 00h, 00h, 48h, 02h, 0B1h, 0C1h
	DB 48h, 00h, 00h, 0C4h, 7fh, 0A3h, 0Ebh, 78h, 7fh, 0C4h, 0F3h, 78h, 4bh, 0Ffh, 0D9h, 0B1h
	DB 7fh, 0Fdh, 0Fbh, 78h, 67h, 0Bdh, 00h, 05h, 63h, 0Bdh, 0bh, 0D0h, 80h, 7dh, 00h, 00h
	DB 80h, 0Bch, 00h, 04h, 7ch, 63h, 2ah, 14h, 90h, 7dh, 00h, 00h, 0E8h, 9ch, 00h, 10h
	DB 78h, 85h, 0C1h, 0E4h, 78h, 0A5h, 46h, 20h, 2ch, 05h, 00h, 0Ffh, 40h, 82h, 00h, 88h
	DB 0E8h, 7bh, 00h, 00h, 38h, 80h, 00h, 00h, 38h, 0C0h, 00h, 00h, 7ch, 0E3h, 22h, 14h
	DB 80h, 0A7h, 00h, 00h, 7ch, 0C6h, 2ah, 78h, 38h, 84h, 00h, 04h, 28h, 24h, 04h, 00h
	DB 40h, 82h, 0Ffh, 0Ech, 80h, 7dh, 00h, 00h, 78h, 0C6h, 07h, 0C6h, 7ch, 0C6h, 1bh, 78h
	DB 38h, 60h, 00h, 00h, 90h, 7dh, 00h, 00h, 7fh, 0E7h, 0Fbh, 78h, 64h, 0E7h, 00h, 05h
	DB 60h, 0E7h, 0fh, 70h, 0E8h, 67h, 00h, 00h, 28h, 23h, 00h, 00h, 41h, 82h, 00h, 38h
	DB 38h, 0E7h, 00h, 10h, 7ch, 23h, 30h, 40h, 40h, 82h, 0Ffh, 0Ech, 0E8h, 0A7h, 0Ffh, 0F8h
	DB 0E8h, 0Fbh, 00h, 00h, 80h, 65h, 00h, 00h, 28h, 03h, 00h, 00h, 41h, 82h, 00h, 18h
	DB 80h, 85h, 00h, 04h, 7ch, 63h, 3ah, 14h, 90h, 83h, 00h, 00h, 38h, 0A5h, 00h, 08h
	DB 4bh, 0Ffh, 0Ffh, 0E4h, 38h, 60h, 00h, 00h, 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h
	DB 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h, 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 01h, 0B0h
	DB 38h, 21h, 01h, 0A0h, 7ch, 08h, 03h, 0A6h, 4eh, 80h, 00h, 20h, 0F8h, 21h, 0Ffh, 51h
	DB 7ch, 08h, 02h, 0A6h, 0Fbh, 0C1h, 00h, 0A0h, 0Fbh, 0E1h, 00h, 0A8h, 0Fbh, 0A1h, 00h, 98h
	DB 0F8h, 01h, 00h, 0C0h, 3bh, 0C0h, 0fh, 0A0h, 3bh, 0E0h, 00h, 0C8h, 4bh, 0Fbh, 9bh, 98h
	DB 0A0h, 55h, 6fh, 3dh, 00h, 2ch, 0B8h, 0Fdh, 80h, 00h, 00h, 00h, 00h, 05h, 0fh, 0B8h
	DB 8ch, 0ah, 94h, 8ch, 00h, 0dh, 99h, 0B1h, 80h, 00h, 00h, 00h, 00h, 05h, 0fh, 0E0h
	DB 0A2h, 0Bch, 1ah, 56h, 00h, 05h, 2ah, 0Dch, 80h, 00h, 00h, 00h, 00h, 05h, 10h, 04h
	DB 6bh, 70h, 28h, 02h, 00h, 02h, 00h, 17h, 80h, 00h, 00h, 00h, 00h, 05h, 0fh, 0D4h
	DB 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 30h, 53h, 54h, 38h, 60h, 00h, 82h
	DB 00h, 5fh, 3fh, 0C0h, 38h, 60h, 00h, 01h, 00h, 5fh, 3fh, 0C4h, 4eh, 80h, 00h, 20h
	DB 00h, 00h, 00h, 00h, 00h, 02h, 0Edh, 0ch, 3bh, 0A0h, 00h, 01h, 00h, 00h, 00h, 00h
	DB 00h, 22h, 0B8h, 88h, 5fh, 74h, 6fh, 6fh, 00h, 22h, 0B8h, 8ch, 6ch, 32h, 2eh, 78h
	DB 00h, 22h, 0B8h, 90h, 6dh, 6ch, 23h, 72h, 00h, 22h, 0B8h, 94h, 6fh, 6fh, 74h, 00h
	DB 00h, 00h, 00h, 00h, 00h, 0dh, 68h, 0B8h, 5fh, 74h, 6fh, 6fh, 00h, 0dh, 68h, 0Bch
	DB 6ch, 32h, 2eh, 78h, 00h, 0dh, 68h, 0C0h, 6dh, 6ch, 23h, 72h, 00h, 0dh, 68h, 0C4h
	DB 6fh, 6fh, 74h, 00h, 00h, 00h, 00h, 00h, 2fh, 64h, 65h, 76h, 5fh, 78h, 78h, 78h
	DB 78h, 00h, 6dh, 6fh, 64h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0A1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h
	DB 0Ebh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7ch, 08h, 03h, 0A6h
	DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
	DB 38h, 0A0h, 06h, 0E8h, 4bh, 94h, 0Cah, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
	DB 0Ebh, 61h, 00h, 78h, 0Ebh, 81h, 00h, 80h, 0Ebh, 0a1h, 00h, 88h, 0Ebh, 0C1h, 00h, 90h

Device2DeviceDescriptor:
       DB 12h
       DB 01h
       DW 0200h
       DB 00h
       DB 00h
       DB 00h
       DB 40h
       DW 0AAAAh
       DW 0BBBBh
       DW 0000h
       DB 00h
       DB 00h
       DB 00h
       DB 01h
Device2ConfigDescriptor:
       DB 09h
       DB 02h
       DW 0016h
       DB 01h
       DB 01h
       DB 00h
       DB 80h
       DB 01h
;Interface descriptor
       DB 09h
       DB 04h
       DB 00h
       DB 00h
       DB 00h
       DB 0FEh
       DB 01h
       DB 02h
       DB 00h
;Extra stuff
       DB 04h
       DB 21h
       DB 0B4h
       DB 2Fh

Device3DeviceDescriptor:
       DB 12h
       DB 01h
       DW 0200h
       DB 00h
       DB 00h
       DB 00h
       DB 08h ;40h
       DW 0AAAAh
       DW 5555h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 02h
Device3ConfigDescriptor:
       DB 09h, 02h
       DW Device3ConfigDescriptorEnd-Device3ConfigDescriptorStart+4 ;0A4Dh
Device3ConfigDescriptorStart:
       DB 01h, 01h, 00h, 80h, 01h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
Device3ConfigDescriptorEnd:

Device4DeviceDescriptor:
       DB 12h
       DB 01h
       DW 0200h
       DB 00h
       DB 00h
       DB 00h
       DB 40h
       DW 0AAAAh
       DW 5555h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 03h
Device4ConfigDescriptor1:
       DB 09h
       DB 02h
       DW 0012h
       DB 01h
       DB 01h
       DB 00h
       DB 80h
       DB 01h
;Interface descriptor
       DB 09h
       DB 04h
       DB 00h
       DB 00h
       DB 00h
       DB 0FEh
       DB 01h
       DB 02h
       DB 00h
Device4ConfigDescriptor2Short:
       DB 09h
       DB 02h
       DW 0012h
       DB 01h
       DB 01h
       DB 00h
       DB 80h
Device4ConfigDescriptor2:
       DB 09h
       DB 02h
       DW 0000h
       DB 01h
       DB 01h
       DB 00h
       DB 80h
       DB 01h
;Interface descriptor
       DB 09h
       DB 04h
       DB 00h
       DB 00h
       DB 0FEh
       DB 01h
       DB 02h
       DB 00h
Device4ConfigDescriptor3:
       DB 09h
       DB 02h
       DW 0030h
       DB 01h
       DB 01h
       DB 00h
       DB 80h
       DB 01h
;Interface descriptor
       DB 09h
       DB 04h
       DB 00h
       DB 00h
       DB 00h
       DB 0FEh
       DB 01h
       DB 02h
       DB 00h
       DB 3Eh
       DB 21h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 0FAh
       DB 0CEh
       DB 0B0h
       DB 03h
       DB 0AAh
       DB 0BBh
       DB 0CCh
       DB 0DDh
       DB 80h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 46h
       DB 50h
       DB 00h
       DB 80h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 3Dh
       DB 0EEh
       DB 70h

Device5DeviceDescriptor:
       DB 12h
       DB 01h
       DW 0200h
       DB 00h
       DB 00h
       DB 00h
       DB 40h
       DB 4Ch
       DB 05h
       DB 0EBh
       DB 02h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 01h
Device5ConfigDescriptor:
       DB 09h
       DB 02h
       DW 0020h
       DB 01h
       DB 00h
       DB 00h
       DB 80h
       DB 01h
;Interface descriptor
       DB 09h
       DB 04h
       DB 00h
       DB 00h
       DB 02h
       DB 0FFh
       DB 00h
       DB 00h
       DB 00h
;Endpoint descriptor
       DB 07h
       DB 05h
       DB 02h
       DB 02h
       DB 08h
       DB 00h
       DB 00h
;Endpoint descriptor
       DB 07h
       DB 05h
       DB 81h
       DB 02h
       DB 08h
       DB 00h
       DB 00h

