Var MACRO first, second
 segment MemVars
&first:
       ds     second
 segment Main
 ENDMAC

USBflag                     equ    0FFFFh
setAddress			equ	2

deviceDescAddress           equ    9C16h
configDescAddress           equ    9C18h
bytesRemaining              equ    9C27h
outputBuffer                equ    9C29h
inputBuffer                 equ    9C31h
USBaddress                  equ    9C71h
;numOutBytes                 equ    9C78h
descSize                    equ    0FEA0h
descSizeOverride            equ    0FEA2h
shortConfigDescAddress      equ    0FEA4h

PS3JBFlags			equ	asm_Flag1
noDataLog                   equ    0
overrideSize                equ    1
deviceDesc			equ	2
sentInterruptData           equ    3
useShortConfigDesc          equ    4

LOG MACRO first, second
 IF LOGGING_ENABLED = 1
 IFNDEF DoLog
  EXTERN DoLog
 ENDIF
       push   bc
       ifneq "_&second", "_"
              ld     c,second
       else
              ld     c,0
       endif
       ld     b,log&first
       call   DoLog
       pop    bc
 ENDIF
 ENDMAC

logGetMaxPacketSize EQU 1
logData EQU 2
logGetClass EQU 3
logGetIDs EQU 4
logReadDescriptor EQU 5
logQuit EQU 6
logSendData EQU 7
logSendControlData EQU 8
logAutoSetup EQU 9
logDataEnd EQU 10
logInA0Start EQU 11
logOutA0Start EQU 12
logHostInit EQU 13
logKillDevice EQU 14
logKillDriver EQU 15
logSetupLog EQU 16
logInData EQU 17
logCallBack EQU 18
logError EQU 19
logSetPortFeature EQU 20
logClearPortFeature EQU 21
logGetDeviceStatus EQU 22
logSetHubFeature EQU 23
logClearHubFeature EQU 24
logGetHubStatus EQU 25
logGetHubPortStatus EQU 26
logSetAddress EQU 27
logLogDone EQU 28
logDataStart EQU 29
logCustom EQU 30
logInterrupt EQU 31
logKBDInit EQU 32
logKBDGetKey EQU 33
logMSDInit EQU 34
logUFIInit EQU 35
logFATInit EQU 36
logPadInit EQU 37
logPadStart EQU 38
logPadSetup EQU 39
logPadCallBack EQU 40
logPumpOn EQU 41
logPumpOff EQU 42
logPump EQU 43
logCache EQU 44
logIntPort82 EQU 45
logIntPort84 EQU 46
logIntPort8F EQU 47
logIStallPipe EQU 48
logSetConfig EQU 49
logPeriphInit EQU 50
logIntPort86 EQU 51
logControlData EQU 52
logEnableOut EQU 53
logIntData EQU 54
logBulkData EQU 55
logMSDCmd EQU 56
logGotSetAddr EQU 57
logSectorRead EQU 58
logWriteError EQU 59
logSectorWrite EQU 60
logInvalidMSDCmd EQU 61
logInvalidDesc EQU 62
logStringDesc EQU 63
logCalcCmd    EQU 64
logCalcUSBErr EQU 65
logBit0Port56 EQU 66
logUnknownDescriptor EQU 67
logGetStatus         EQU 68
logUnknownClassRequest      EQU    69
logSetFeature               EQU    70
logClearFeature             EQU    71
logIntPort91                EQU    72
logUnknownInterfaceRequest  EQU    73
logSetInterface             EQU    74

logCacheOn           EQU 0
logCacheOff          EQU 1
logCacheIsInCache    EQU 2
logCacheReadFromCache EQU 3
logCacheResetLRU     EQU 4
logCacheSaveToCache  EQU 5

errEPIndex           EQU 1

